Package org.postgresql.util

# Class ServerErrorMessage

java.lang.Object
org.postgresql.util.ServerErrorMessage

All Implemented Interfaces:
  `Serializable`

public class ServerErrorMessage extends Object implements Serializable

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ServerErrorMessage(String serverError)`
`ServerErrorMessage(EncodingPredictor.DecodeResult serverError)`

## Method Summary

Modifier and Type
Method
Description
`@Nullable String`
`getColumn()`
`@Nullable String`
`getConstraint()`
`@Nullable String`
`getDatatype()`
`@Nullable String`
`getDetail()`
`@Nullable String`
`getFile()`
`@Nullable String`
`getHint()`
`int`
`getInternalPosition()`
`@Nullable String`
`getInternalQuery()`
`int`
`getLine()`
`@Nullable String`
`getMessage()`
`int`
`getPosition()`
`@Nullable String`
`getRoutine()`
`@Nullable String`
`getSchema()`
`@Nullable String`
`getSeverity()`
`@Nullable String`
`getSQLState()`
`@Nullable String`
`getTable()`
`@Nullable String`
`getWhere()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ServerErrorMessage

public ServerErrorMessage(EncodingPredictor.DecodeResult serverError)

### ServerErrorMessage

public ServerErrorMessage(String serverError)

## Method Details

### getSQLState

public @Nullable String getSQLState()

### getMessage

public @Nullable String getMessage()

### getSeverity

public @Nullable String getSeverity()

### getDetail

public @Nullable String getDetail()

### getHint

public @Nullable String getHint()

### getPosition

public int getPosition()

### getWhere

public @Nullable String getWhere()

### getSchema

public @Nullable String getSchema()

### getTable

public @Nullable String getTable()

### getColumn

public @Nullable String getColumn()

### getDatatype

public @Nullable String getDatatype()

### getConstraint

public @Nullable String getConstraint()

### getFile

public @Nullable String getFile()

### getLine

public int getLine()

### getRoutine

public @Nullable String getRoutine()

### getInternalQuery

public @Nullable String getInternalQuery()

### getInternalPosition

public int getInternalPosition()

### toString

public String toString()

Overrides:
  `toString` in class `Object`